> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Watchlist Assets

> Modify the assets in a specific watchlist by ID for the authenticated user

## Overview

Add or remove individual assets from a watchlist without replacing the entire asset list. This is useful for incrementally managing watchlist contents.

The `action` field must be either `add` or `remove`, and `assetIds` specifies which asset UUIDs to add or remove.

<Note>
  To replace the entire asset list at once, use the [Update Watchlist](/api-reference/endpoints/user-management/patch-v1-watchlists-id) endpoint with the `assetIds` field instead.
</Note>


## OpenAPI

````yaml PATCH /user-management/v1/watchlists/{id}/assets
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - User Management V1
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /user-management/v1/watchlists/{id}/assets:
    patch:
      tags:
        - user-management/watchlist
      summary: Modify watchlist assets
      description: >-
        Modify the assets in a specific watchlist by ID for the authenticated
        user
      operationId: ModifyWatchlistAssets
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ModifyWatchlistAssetsRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/Watchlist'
                  error:
                    type: string
                required:
                  - data
                type: object
              example:
                error: null
                data:
                  id: BA3FDA7B
                  title: DeFi Blue Chips
                  assetIds:
                    - 1e31218a-e44e-4285-820c-8282ee222035
                    - 21c795f5-1bfd-40c3-858e-e9d7e820c6d0
                    - b3d5d66c-26a2-404c-9325-91dc714a722b
                  createdAt: '2026-03-27T14:11:02.612968Z'
                  updatedAt: '2026-03-27T14:11:27.836661Z'
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    ModifyWatchlistAssetsRequest:
      properties:
        action:
          enum:
            - add
            - remove
          type: string
        assetIds:
          items:
            type: string
          type: array
      required:
        - assetIds
        - action
      type: object
    Watchlist:
      properties:
        assetIds:
          items:
            type: string
          type: array
        createdAt:
          format: date-time
          type: string
        id:
          type: string
        title:
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - assetIds
        - createdAt
        - id
        - title
        - updatedAt
      type: object
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````